Name:           ftnchek
Version:        3.3.1
Release:        7%{?dist}
Summary:        Static analyzer for Fortran 77 programs

Group:          Development/Tools
License:        MIT
URL:            http://www.dsm.fordham.edu/~ftnchek/
Source0:        http://www.dsm.fordham.edu/~ftnchek/download/ftnchek-3.3.1.tar.gz
Patch0:         ftnchek-3.3.1-datadir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  groff, emacs

%description
ftnchek is a static analyzer for Fortran 77 programs. It is designed to
detect certain errors in a Fortran program that a compiler usually does
not. ftnchek is not primarily intended to detect syntax errors. Its
purpose is to assist the user in finding semantic errors. Semantic
errors are legal in the Fortran language but are wasteful or may cause
incorrect operation. For example, variables which are never used may
indicate some omission in the program; uninitialized variables contain
garbage which may cause incorrect results to be calculated; and variables
which are not declared may not have the intended type. ftnchek is
intended to assist users in the debugging of their Fortran program. It is
not intended to catch all syntax errors. This is the function of the
compiler. Prior to using ftnchek, the user should verify that the program
compiles correctly.


%package        emacs
Summary:        Emacs support for ftnchek
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       %{_datadir}/emacs/site-lisp

%description    emacs
%{summary}.


%prep
%setup -q
%patch -p1 -b .datadir
#Stop configure from overriding CFLAGS
sed -i -e 's/CFLAGS="-DUNIX.*"//' configure


%build
export CFLAGS="$RPM_OPT_FLAGS -DUNIX"
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
%makeinstall STRIP=/bin/true datadir=$RPM_BUILD_ROOT%{_datadir}/ftnchek \
             lispdir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README FAQ PATCHES
%{_bindir}/dcl2inc
%{_bindir}/ftnchek
%{_datadir}/ftnchek/
%{_mandir}/man1/dcl2inc.1*
%{_mandir}/man1/ftnchek.1*

%files emacs
%{_datadir}/emacs/site-lisp/ftnchek.el
%{_datadir}/emacs/site-lisp/ftnchek.elc


%changelog
* Sat Feb  9 2008 Orion Poplawski <orion@cora.nwra.com> 3.3.1-7
- Rebuild for gcc 3.4

* Tue Aug 21 2007 Orion Poplawski <orion@cora.nwra.com> 3.3.1-6
- Rebuild for BuildID

* Tue Aug 29 2006 Orion Poplawski <orion@cora.nwra.com> 3.3.1-5
- Rebuild for FC6

* Fri Mar 24 2006 Orion Poplawski <orion@cora.nwra.com> 3.3.1-4
- Don't strip binaries so we get a good debuginfo

* Wed Mar 08 2006 Orion Poplawski <orion@cora.nwra.com> 3.3.1-3
- Own %{_datadir}/ftnchek/
- Add period to end of emacs package description

* Wed Mar 08 2006 Orion Poplawski <orion@cora.nwra.com> 3.3.1-2
- Add emacs sub-package for emacs support
- Fix up CFLAGS to use RPM CFLAGS
- Add FAQ and PATCHES to %doc

* Tue Mar 07 2006 Orion Poplawski <orion@cora.nwra.com> 3.3.1-1
- Initial Fedora Extras submission
